{layout 'layout.latte'}
{block content}
    <b>
        Время выполения бизнес логики: {$executionTime} мс.
    </b>
    <main class="container-fluid">
        <div class="container">
            <section class="category row">
                <div class="category-menu col-3">
                    <nav class="menu">
                        <ul>
                            {if isset($categories)}
                                {foreach $categories as $category}
                                    <li>
                                        <a href="{$category['url']}">{$category['name']}</a>
                                    </li>
                                {/foreach}
                            {/if}
                        </ul>
                    </nav>
                    <div class="filteres-box">
                        <div>
                            <div class="brand"><h3>Product filters</h3></div>
                            <div class="name-brands">
                                {if isset($filters)}
                                    <input type="hidden" id="category" value="{$products[0]['category']['code']}" />
                                    {foreach $filters as $filterCode => $filterValues}
                                        <div class="filter" data-filter="{$filterCode}">
                                            <h4>{$filterCode}</h4>
                                            {foreach $filterValues as $value => $name}
                                                <label class="filter-label">
                                                    <input type="checkbox" value="{$value}" /> {$name}
                                                </label>
                                            {/foreach}
                                        </div>
                                    {/foreach}
                                {/if}
                            </div>
                        </div>
                    </div>
                </div>
                <div class="items col-9">
                    <div class="sort">
                        <select id="flexSelect1"  name="select">
                            <option selected value="sort"> Выбрать сортировку :</option>
                            <option value="price">Cheap</option>
                            <option value="name">Alphabetically</option>
                            <option value="updated_at">New</option>
                        </select>
                    </div>
                    <div class="elems products-container" id="all-products-container">
                        {if isset($products)}
                            {foreach $products as $item}
                                <div class="product-card">
                                    <a href="#" class="product-image">
                                        <img src="/img/smarfon.png" alt="{$item['name']}">
                                    </a>
                                    <div class="product-info">
                                        <span class="availability">В наличии</span>
                                        <div class="price-and-button">
                                            <p class="price">{$item['price']}$</p>
                                            <button class="buy-button">Купить</button>
                                        </div>
                                        <div class="product-name">
                                            <a href="#">{$item['name']}(гб)</a>
                                        </div>
                                    </div>
                                </div>
                            {/foreach}
                        {/if}
                    </div>
                </div>
            </section>
        </div>
    </main>
{/block}

